Mouse::Meta::TypeConstraint(3)

NAME
Mouse::Meta::TypeConstraint - The Mouse Type Constraint metaclass

VERSION
This document describes Mouse version v2.4.9

DESCRIPTION
This class represents a type constraint, including built-in type constraints, union type constraints, parameterizable/ parameterized type constraints, as well as custom type constraints

METHODS

"Mouse::Meta::TypeConstraint->new(%options)"
"$constraint->name"
"$constraint->parent"
"$constraint->constraint"
"$constraint->has_coercion"
"$constraint->message"
"$constraint->is_a_type_of($name or $object)"
"$constraint->coerce($value)"
"$constraint->check($value)"
"$constraint->assert_valid($value)"
"$constraint->get_message($value)"
"$constraint->create_child_type(%options)"

SEE ALSO
Moose::Meta::TypeConstraint